# Makefile for VgaGames: extlib/

all: flac.d mp3.d ogg.d tmidi.d iolib.d

clean:
	cd flac && $(MAKE) clean
	cd mp3 && $(MAKE) clean
	cd ogg && $(MAKE) clean
	cd tmidi && $(MAKE) clean
	cd iolib && $(MAKE) clean


flac.d:
	cd flac && $(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" SOFLAGS="$(SOFLAGS)" all

mp3.d:
	cd mp3 && $(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" SOFLAGS="$(SOFLAGS)" all

ogg.d:
	cd ogg && $(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" SOFLAGS="$(SOFLAGS)" all

tmidi.d:
	cd tmidi && $(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" SOFLAGS="$(SOFLAGS)" all

iolib.d:
	cd iolib && $(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" SOFLAGS="$(SOFLAGS)" IOLIB_SCRIPT="$(IOLIB_SCRIPT)" all

